Description:

Creates a polycurve consisting of two tangent arc segments that connect two points and two directions.

Syntax:
public static Curve CreateArcBlend(
Point3d startPt,
Vector3d startDir,
Point3d endPt,
Vector3d endDir,
double controlPointLengthRatio
)
Parameters:
  • startPt
  • Type: Point3d
  • Start of the arc blend curve.
  • startDir
  • Type: Vector3d
  • Start direction of the arc blend curve.
  • endPt
  • Type: Point3d
  • End of the arc blend curve.
  • endDir
  • Type: Vector3d
  • End direction of the arc blend curve.
  • controlPointLengthRatio
  • Type: double
  • The ratio of the control polygon lengths of the two arcs. Note, a value of 1.0 means the control polygon lengths for both arcs will be the same.
Returns:
Type: Curve
The arc blend curve, or None on error.
Available since:
6.1

/
/
/
CreateArcBlend

CreateArcBlend method

Class:  Rhino.Geometry.Curve

Nothing found